Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.aocat.psis.client.utils
Class Forms

    java.lang.Object
      net.aocat.psis.client.utils.Forms

    public class Forms

extends java.lang.Object

Signature forms.

Author:
  aalcaide

Field Summary
`static java.lang.String` | `BES` AdES-BES
`static java.lang.String` | `EPES` AdES-EPES
`static java.lang.String` | `ES_C` AdES-C
`static java.lang.String` | `ES_T` AdES-T
`static java.lang.String` | `ES_X_A` AdES-A
`static java.lang.String` | `ES_X_L_Type1` AdES-XL Type-1
`static java.lang.String` | `ES_X_L_Type2` AdES--XL Type-2
`static java.lang.String` | `ES_X_Type1` AdES-X Type-1
`static java.lang.String` | `ES_X_Type2` AdES-X Type-2
`static java.lang.String` | `LTV` PAdES-LTV
`private static java.lang.String` | `XAdESFormsPrefix`

Constructor Summary
`Forms()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XAdESFormsPrefix

    private static java.lang.String XAdESFormsPrefix

### BES

    public static java.lang.String BES

  AdES-BES

### EPES

    public static java.lang.String EPES

  AdES-EPES

### ES_T

    public static java.lang.String ES_T

  AdES-T

### ES_C

    public static java.lang.String ES_C

  AdES-C

### ES_X_Type1

    public static java.lang.String ES_X_Type1

  AdES-X Type-1

### ES_X_Type2

    public static java.lang.String ES_X_Type2

  AdES-X Type-2

### ES_X_L_Type1

    public static java.lang.String ES_X_L_Type1

  AdES-XL Type-1

### ES_X_L_Type2

    public static java.lang.String ES_X_L_Type2

  AdES--XL Type-2

### ES_X_A

    public static java.lang.String ES_X_A

  AdES-A

### LTV

    public static java.lang.String LTV

  PAdES-LTV

Constructor Detail

### Forms

    public Forms()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD